resource "aws_glue_workflow" "table_services_archiving" {
  name = "${var.name_prefix}-archiving-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "archiving" {
  name          = "${var.name_prefix}-archiving"
  type          = "SCHEDULED"
  schedule      = "cron(0/30 * * * ? *)" # Run every thirtieth minute
  workflow_name = aws_glue_workflow.table_services_archiving.name
  enabled       = true
  tags          = var.tags

  actions {
    job_name = aws_glue_job.sade_uds_alerts_archiving.name
  }
}
