resource "aws_glue_workflow" "table_services_clustering" {
  name = "${var.name_prefix}-clustering-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "clustering_plan" {
  name          = "${var.name_prefix}-clustering-plan"
  type          = "SCHEDULED"
  schedule      = "cron(10 0/1 * * ? *)"
  workflow_name = aws_glue_workflow.table_services_clustering.name
  enabled       = true
  tags          = var.tags

  actions {
    job_name = aws_glue_job.sade_uds_alerts_clustering_plan.name
  }
}
