resource "aws_glue_workflow" "table_services_compaction" {
  name = "${var.name_prefix}-compaction-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "compaction" {
  name          = "${var.name_prefix}-compaction"
  type          = "SCHEDULED"
  schedule      = "cron(0/15 * * * ? *)" # Run every fifteenth minute
  workflow_name = aws_glue_workflow.table_services_compaction.name
  enabled       = true
  tags          = var.tags

  actions {
    job_name = aws_glue_job.sade_uds_alerts_compaction.name
  }
}
